import * as tslib_1 from "tslib";
import { State as CoreState } from "@intelligentgraphics/ig.gfx.core";
import { SceneManager } from "./manager";
import { createDefaultCameraSetup, createDefaultRenderer } from "./setup";
var DefaultSceneManager = /** @class */ (function (_super) {
    tslib_1.__extends(DefaultSceneManager, _super);
    function DefaultSceneManager() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DefaultSceneManager.prototype.createRenderer = function (canvas) {
        return createDefaultRenderer({
            canvas: canvas
        });
    };
    DefaultSceneManager.prototype.createCameras = function (params) {
        return createDefaultCameraSetup(tslib_1.__assign({}, params, { onControlChange: function () { return CoreState.API.RedrawScene(); } }));
    };
    DefaultSceneManager.prototype.createEnvironment = function (params) { };
    DefaultSceneManager.prototype.getCurrentSceneState = function () {
        return {
            activePerspective: "3D"
        };
    };
    return DefaultSceneManager;
}(SceneManager));
export { DefaultSceneManager };
